Package: grails.core.support

## [Java] Interface GrailsApplicationAware

-     public interface GrailsApplicationAware
      extends org.springframework.beans.factory.Aware

  Convenience interface that can be implemented by classes that are registered by plugins.

  Authors:
    Steven Devijver
  Since:
    0.2
  See Also:
    GrailsApplication

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `setGrailsApplication(GrailsApplication grailsApplication)`

- - ### Method Detail

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)

      This method is called by the org.springframework.context.ApplicationContext that loads the Grails application. The GrailsApplication instance that represents the loaded Grails application is injected.

      Parameters:
        `grailsApplication` - the GrailsApplication object that represents this Grails application